export class RenamableError extends Error {
  constructor(message) {
    super(message);
    this.name = this.getName();
  }

}
export class InternalStreamError extends RenamableError {
  constructor(stream, error) {
    super(String(error));
    this.stream = stream;
    this.error = error;
  }

}
export class StdOutError extends InternalStreamError {
  getName() {
    return 'StdOutError';
  }

}
export class StdErrError extends InternalStreamError {
  getName() {
    return 'StdErrError';
  }

} //# sourceMappingURL=error-classes.js.map