import fromIterable from "./from-iterable.mjs";
export function fromIterableStream(stream) {
  async function* iterate() {
    for await (const chunk of stream) {
      for (const char of Buffer.from(chunk)) {
        yield char;
      }
    }
  }

  const data = {
    [Symbol.asyncIterator]: iterate
  };
  return fromIterable(data);
}
export default fromIterableStream; //# sourceMappingURL=from-iterable-stream.js.map