import SpecialCharacter from "../utils/special-character.mjs";
import lines from "./lines.mjs";
const {
  EndOfLine
} = SpecialCharacter;
export async function write(writable, splitter) {
  let mkline = line => {
    mkline = line => [EndOfLine, ...line]; // non-first lines have leading eol


    return [...line]; // first line has no leading eol
  };

  for await (const line of lines(splitter)) {
    writable.write(Buffer.from(mkline(line)));
  }
}
export default write; //# sourceMappingURL=write.js.map